Bug 761100

Summary: [abrt] gnome-shell-3.2.1-2.fc16: af_latin_hints_compute_edges: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Lawrenc Graves <lgraves95>
Component: pangoAssignee: Matthias Clasen <mclasen>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: anghelc, baldelli.simone, bonacina.alberto, browning48ky, fonts-bugs, fredrik.nyqvist94, maxamillion, mclasen, otaylor, peter_snygg, samkraju, walters, webmaster
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:c74bad8ffbd82f9990185e3bf5bf1baf453b16ba
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 13:10:31 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: dso_list
none
File: build_ids
none
File: var_log_messages
none
File: maps
none
File: backtrace
none
File: backtrace none

Description Lawrenc Graves 2011-12-07 12:21:56 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
comment:        Not able to select shell 
crash_function: af_latin_hints_compute_edges
executable:     /usr/bin/gnome-shell
kernel:         3.1.4-1.fc16.x86_64
pid:            2062
pwd:            /home/legraves11
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
time:           Wed 07 Dec 2011 10:11:15 AM MST
uid:            1000
username:       legraves11

backtrace:      Text file, 146960 bytes
build_ids:      Text file, 6685 bytes
dso_list:       Text file, 21343 bytes
maps:           Text file, 84725 bytes
var_log_messages: Text file, 14802 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Jehovah.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=9f8083925178cbe390e858180000000d-1323277294.629205-1458185513
:GNOME_KEYRING_CONTROL=/tmp/keyring-LMwBEN
:IMSETTINGS_MODULE=none
:USER=legraves11
:USERNAME=legraves11
:MAIL=/var/spool/mail/legraves11
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/legraves11/.local/bin:/home/legraves11/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/legraves11
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1849
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/legraves11
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=legraves11
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-LIdL0Tf5v9,guid=2c1a1e14846bae573a92875a0000002c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/legraves11
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-legraves11-oNLJrH/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1854,unix/unix:/tmp/.ICE-unix/1854
:SSH_AUTH_SOCK=/tmp/keyring-LMwBEN/ssh
:GPG_AGENT_INFO=/tmp/keyring-LMwBEN/gpg:0:1
:DESKTOP_AUTOSTART_ID=10eb3f5ecbe59a57e132327729548857300000018540000

xsession_errors:
:(gnome-shell:2062): folks-DEBUG: individual-aggregator.vala:305: Setting primary store IDs to defaults.
:(gnome-shell:2062): folks-DEBUG: individual-aggregator.vala:333: Primary store IDs are 'eds' and 'system'.
:(gnome-shell:2062): Clutter-WARNING **: Attempting to add actor of type 'ShellGenericContainer' to a container of type 'StBoxLayout', but the actor has already a parent of type 'StBoxLayout'.
:(gnome-shell:2062): St-WARNING **: Actor of type 'ShellGenericContainer' is not a child of the StBoxLayout container
:(gnome-shell:2062): Clutter-CRITICAL **: clutter_text_get_editable: assertion `CLUTTER_IS_TEXT (self)' failed
:(gnome-shell:2062): Clutter-CRITICAL **: clutter_text_get_text: assertion `CLUTTER_IS_TEXT (self)' failed
:(gnome-shell:2062): Clutter-CRITICAL **: clutter_text_set_text: assertion `CLUTTER_IS_TEXT (self)' failed
:gnome-shell-calendar-server[2157]: Got HUP on stdin - exiting
:gnome-session[1854]: WARNING: Application 'gnome-shell.desktop' killed by signal
:(gnome-shell:2426): folks-DEBUG: individual-aggregator.vala:305: Setting primary store IDs to defaults.
:(gnome-shell:2426): folks-DEBUG: individual-aggregator.vala:333: Primary store IDs are 'eds' and 'system'.
:(gnome-shell:2426): Clutter-WARNING **: Attempting to add actor of type 'ShellGenericContainer' to a container of type 'StBoxLayout', but the actor has already a parent of type 'StBoxLayout'.
:(gnome-shell:2426): St-WARNING **: Actor of type 'ShellGenericContainer' is not a child of the StBoxLayout container
:(gnome-shell:2426): Clutter-CRITICAL **: clutter_actor_queue_relayout: assertion `CLUTTER_IS_ACTOR (self)' failed
:(gnome-shell:2426): Clutter-CRITICAL **: clutter_actor_queue_relayout: assertion `CLUTTER_IS_ACTOR (self)' failed
Comment 1 Lawrenc Graves 2011-12-07 12:22:00 EST
Created attachment 542055 [details]
File: dso_list
Comment 2 Lawrenc Graves 2011-12-07 12:22:01 EST
Created attachment 542056 [details]
File: build_ids
Comment 3 Lawrenc Graves 2011-12-07 12:22:03 EST
Created attachment 542057 [details]
File: var_log_messages
Comment 4 Lawrenc Graves 2011-12-07 12:22:04 EST
Created attachment 542058 [details]
File: maps
Comment 5 Lawrenc Graves 2011-12-07 12:22:05 EST
Created attachment 542059 [details]
File: backtrace
Comment 6 millemiglia 2012-01-24 03:22:12 EST
happended directly after reboot + login

backtrace_rating: 4
Package: gnome-shell-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 7 millemiglia 2012-01-24 03:22:16 EST
Created attachment 557151 [details]
File: backtrace
Comment 8 abrt-bot 2012-03-21 13:45:24 EDT
Backtrace analysis of bugs across components suggests the actual bug is in component pango, cairo or freetype instead of component gnome-shell, reassigning to pango.

Bugs which were found to be similar to this bug: 
  evolution: bug #613043
  freetype: bug #607979
  gnome-terminal: bug #591406
  nautilus: bug #684409
  totem: bug #673396

This comment is automatically generated.
Comment 9 abrt-bot 2012-03-21 13:45:34 EDT
*** Bug 684409 has been marked as a duplicate of this bug. ***
Comment 10 abrt-bot 2012-03-21 13:45:43 EDT
*** Bug 673396 has been marked as a duplicate of this bug. ***
Comment 11 Fedora End Of Life 2013-01-16 10:26:08 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2013-02-13 13:10:49 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.